ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-10575) RU: Oozie upgrade fails when using oracle DB
Date Mon, 20 Apr 2015 17:26:59 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-10575?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14503256#comment-14503256
] 

Dmitry Lysnichenko commented on AMBARI-10575:
---------------------------------------------

Also committed to 2.0.1

> RU: Oozie upgrade fails when using oracle DB
> --------------------------------------------
>
>                 Key: AMBARI-10575
>                 URL: https://issues.apache.org/jira/browse/AMBARI-10575
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.1.0, 2.0.1
>
>         Attachments: AMBARI-10575.patch
>
>
> Rolling upgrade from 2.2 to 2.2.4.2 and facing following issue. I had no issue while
running the initial install.
> Backend is Oracle database. I do have ojdbc6.jar under /usr/share/java and as per doc,
I did change permissions to 644
> {code}
> java.lang.Exception: Could not connect to the database: java.lang.ClassNotFoundException:
oracle.jdbc.driver.OracleDriver
> [root@upgrade2 conf]# ls -l /usr/share/java/ojdbc6.jar 
> -rwxr-xr-x. 1 root hadoop 2152051 Apr 14 23:27 /usr/share/java/ojdbc6.jar
> [root@upgrade2 conf]# chmod 644 /usr/share/java/ojdbc6.jar
> [root@upgrade2 conf]# ls -l /usr/share/java/ojdbc6.jar 
> -rw-r--r--. 1 root hadoop 2152051 Apr 14 23:27 /usr/share/java/ojdbc6.jar
> [root@upgrade2 conf]# tail -f /var/lib/ambari-agent/data/output-418.txt
> 2015-04-14 23:42:32,500 - u"File['/var/run/oozie/oozie.pid']" {'action': ['delete']}
> 2015-04-14 23:42:32,693 - Executing Oozie Server Rolling Upgrade pre-restart
> 2015-04-14 23:42:32,695 - Backing up Oozie configuration directory before upgrade...
> 2015-04-14 23:42:32,696 - Compressing /etc/oozie/conf to /tmp/oozie-upgrade-backup/oozie-conf-backup.tar
> 2015-04-14 23:42:32,835 - u"Execute['hdp-select set oozie-server 2.2.4.2-2']" {}
> 2015-04-14 23:42:32,887 - Restoring Oozie configuration directory after upgrade...
> 2015-04-14 23:42:32,887 - Extracting /tmp/oozie-upgrade-backup/oozie-conf-backup.tar
to /etc/oozie/conf
> 2015-04-14 23:42:32,975 - Copying /usr/share/HDP-oozie/ext-2.2.zip to /usr/hdp/current/oozie-server/libext-customer
> 2015-04-14 23:42:33,022 - u"Execute['hdfs dfs -chown oozie:hadoop /user/oozie/share']"
{'user': 'oozie'}
> 2015-04-14 23:42:41,342 - u"Execute['hdfs dfs -chmod -R 755 /user/oozie/share']" {'user':
'oozie'}
> 2015-04-14 23:42:50,942 - u"Execute['/usr/hdp/current/oozie-server/bin/ooziedb.sh upgrade
-run']" {'user': 'oozie'}
> 2015-04-14 23:42:54,242 - Error while executing command 'restart':
> Traceback (most recent call last):
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 214, in execute
>     method(env)
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 365, in restart
>     self.pre_rolling_restart(env)
>   File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server.py",
line 166, in pre_rolling_restart
>     oozie_server_upgrade.upgrade_oozie()
>   File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server_upgrade.py",
line 177, in upgrade_oozie
>     Execute(command, user=params.oozie_user)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 148,
in __init__
>     self.env.run()
>   File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
152, in run
>     self.run_action(resource, action)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
118, in run_action
>     provider_action()
>   File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py",
line 274, in action_run
>     raise ex
> Fail: Execution of '/usr/hdp/current/oozie-server/bin/ooziedb.sh upgrade -run' returned
1.   setting OOZIE_CONFIG=${OOZIE_CONFIG:-/etc/oozie/conf}
>   setting CATALINA_BASE=${CATALINA_BASE:-/usr/hdp/current/oozie-server/oozie-server}
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message